Invoice Item

get

List all invoice items

This endpoint retrieves a list of invoice items

limitstring

The maximum number of invoice items to return (default 20, maximum 100)

Pattern
^[0-9][0-9]?$|^100$
startingAfterstring

The ID of the last invoice item in the previous page of results. Results will start after this invoice item

sessionIdstring

The ID of the session to filter invoice items by

Responses

Response examples

A list of invoice item

{
  "data": {
    "hasMore": true,
    "items": [
      {
        "id": "string",
        "session": "string",
        "paymentProfile": "string",
        "network": "string",
        "total": 123.0,
        "currency": "string",
        "remarks": "string",
        "creditInvoiceReference": "string",
        "priceAdjustmentId": "string",
        "adjustmentTotal": 123.0,
        "invoiceId": "string",
        "createdAt": "2023-06-07T17:32:28Z",
        "updatedAt": "2023-06-07T17:32:28Z"
      }
    ]
  }
}

Was this page helpful?